| Home | Libraries | People | FAQ | More

#### http::chunk_crlf

A chunked encoding crlf.

##### Synopsis

Defined in header `<boost/beast/http/chunk_encode.hpp>`

    struct chunk_crlf

##### Types

Name | Description
--- | ---
const_iterator | Required for ConstBufferSequence
value_type | Required for ConstBufferSequence

##### Member Functions

Name | Description
--- | ---
begin | Required for ConstBufferSequence
chunk_crlf [constructor] | Constructor. — Required for ConstBufferSequence
end | Required for ConstBufferSequence

##### Description

This implements a ConstBufferSequence holding the CRLF (`"\r\n"`) used as a delimiter in a chunk.

To use this class, pass an instance of it to a stream algorithm as the buffer sequence:

    // writes "\r\n"
    net::write(stream, chunk_crlf{});

##### See Also

https://tools.ietf.org/html/rfc7230#section-4.1